com.amazonaws.services.codedeploy.model

## Class UpdateDeploymentGroupResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.UpdateDeploymentGroupResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdateDeploymentGroupResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of an update deployment group operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateDeploymentGroupResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateDeploymentGroupResult` `clone()`
`boolean` `equals(Object obj)`
`List<AutoScalingGroup>` `getHooksNotCleanedUp()` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account.
`int` `hashCode()`
`void` `setHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateDeploymentGroupResult` `withHooksNotCleanedUp(AutoScalingGroup... hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account.
`UpdateDeploymentGroupResult` `withHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateDeploymentGroupResult

    public UpdateDeploymentGroupResult()

### Method Detail

#### getHooksNotCleanedUp

    public List<AutoScalingGroup> getHooksNotCleanedUp()

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

Returns:
  If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

#### setHooksNotCleanedUp

    public void setHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

#### withHooksNotCleanedUp

    public UpdateDeploymentGroupResult withHooksNotCleanedUp(AutoScalingGroup... hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

NOTE: This method appends the values to the existing list (if any). Use `setHooksNotCleanedUp(java.util.Collection)` or `withHooksNotCleanedUp(java.util.Collection)` if you want to override the existing values.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withHooksNotCleanedUp

    public UpdateDeploymentGroupResult withHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateDeploymentGroupResult clone()

Overrides:
  `clone` in class `Object`